Subject: bug#40525: inferior process on core-updates crashes: mmap(PROT_NONE) failed

From: Christopher Baines <[email-masked]>
Date: Thu, 09 Apr 2020 20:45:15 +0100

Hey,

The Guix Data Service seems to be having trouble processing the
core-updates branch [1]

1: https://guix-patches-data.cbaines.net/repository/2/branch/core-updates

At some point, usually when extracting the information about lint
warnings, package derivations or system tests, the inferior guix repl
crashes.

Looking at some strace output (attached), a mmap system call fails with
ENOMEM, however I don't think my system was out of memory or that the
process was even using that much memory at the time.

I'm not trying to use the Guix Data Service much with the core-updates
branch, but I wouldn't want this issue to break the data at
data.guix.gnu.org once the core-updates changes are merged.

Any ideas?

Thanks,

Chris